[Bug 805303] Re: Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed with the default qt4 gui

Aurélien Gâteau aurelien.gateau at canonical.com
Wed Sep 28 09:47:01 UTC 2011


>> Correct me if I wrong but this call is happening from the Qt libraries, not
>> from the VLC itself.
>
> That is why it is a bug. The only safe place to call putenv() is early in the
> VLC main() function, before any thread is created. In practice, the VLC code
> base has long since been audited and all setenv(), unsetenv() and putenv()
> calls removed. VLC versions 1.1.0 and later actively prevent libraries from
> modifying its environment as this is a known cause of crashes; that's why you
> see the "Blocked: ..." error message.
>
>> Does that mean VLC initializes the UI in a different thread?
>
> Different thread than... ? Anyway, calling putenv() is not thread-safe in any
> case on glibc, regardless of which thread calls it: glibc does not protect the
> environment against concurrent accesses, so putenv() can crash a concurrent
> *env() function call from another thread.

In this case putenv() and getenv() calls for LIBOVERLAY_SCROLLBAR are done from
the same thread (the one running the GUI event loop) so it would not cause any
problem.

Anyway, I think our only solution for Oneiric is to do what pablomme suggested
in comment #75.

https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/805303/comments/75


** Changed in: overlay-scrollbar (Ubuntu Oneiric)
       Status: Invalid => Confirmed

-- 
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/805303

Title:
  Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET
  (widget)' failed with the default qt4 gui

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/overlay-scrollbar/+bug/805303/+subscriptions



More information about the kubuntu-bugs mailing list